d.rhumbline(1)

NAME
d.rhumbline - Displays the rhumbline joining two longitude/latitude coordinates.

KEYWORDS
display, distance, rhumbline

SYNOPSIS
d.rhumbline
d.rhumbline --help
d.rhumbline coordinates=lon1,lat1,lon2,lat2 [line_color=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

coordinates=lon1,lat1,lon2,lat2 [required]
    Starting and ending coordinates

line_color=name
    Line color
    Either a standard color name or R:G:B triplet
    Default: black

DESCRIPTION
A rhumbline (loxodrome) is a line following a constant angle of the compass (i.e., a line of constant direction). It crosses all meridians at the same angle, i.e. a path of constant bearing. d.rhumbline displays the rhumbline joining any two user-specified points in the active frame on the user’s graphics monitor. The named coordinate locations must fall within the boundaries of the user’s current geographic region.

The user has to specify the starting and ending longitude/latitude coordinates of the rhumbline and (optionally) the color in which the rhumbline will be displayed; in this case, the program will run non-interactively.

EXAMPLE
A geodesic line if shown over the political map of the world (demolocation dataset):

g.region vector=country_boundaries -p
d.mon wx0
d.vect country_boundaries type=area
d.rhumbline coordinates=55:58W,33:18S,26:43E,60:37N \
  line_color=yellow
# show additionally 10 degree grid
d.grid 10

Rhumbline (loxodrome)

NOTES
This program works only in GRASS locations with longitude/latitude coordinate system.

SEE ALSO
d.geodesic, d.grid, m.measure

AUTHOR
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

SOURCE CODE

Available at: d.rhumbline source code (history)

Accessed: Wednesday Jun 11 21:27:55 2025

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual